Skip to main content
GET
/
sponsors
/
{sponsor_id}
Get One Sponsor
curl --request GET \
  --url https://api.swoogo.com/api/v1/sponsors/{sponsor_id} \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2015-09-28 09:20:03",
  "description": "Sample description",
  "event_id": 1,
  "id": 1,
  "level": {
    "id": 2,
    "value": "Gold"
  },
  "logo_id": null,
  "name": "Sample Sponsor",
  "notes": null,
  "updated_at": "2015-09-28 09:20:03",
  "website": null
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

sponsor_id
integer
required

integer - required - The ID of the sponsor you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,event_id,name,website,description,logo_id,level,webinar_url,video_url,notes,created_at,updated_at,direct_link"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

Get Sponsor

created_at
string
Example:

"2015-09-28 09:20:03"

description
string
Example:

"Sample description"

event_id
number
Example:

1

id
number
Example:

1

level
object
logo_id
unknown
name
string
Example:

"Sample Sponsor"

notes
unknown
updated_at
string
Example:

"2015-09-28 09:20:03"

website
unknown